<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="ctop.bytedance.ad.advertise.mapper.BytedanceMaterialRejectReasonMapper">
<insert id="replaceIntoDb" parameterType="org.jeecg.modules.bytedance.advertise.entity.BytedanceMaterialRejectReason">
    replace into ctop_bytedance_material_reject_reason (reject_reason,image_id,video_id,title,is_low_quality,account_id,ad_id) values (#{rejectReason},#{imageId},#{videoId},#{title},#{isLowQuality},#{accountId},#{adId})
</insert>

    <select id="getIsLowQualityByVideoId" resultType="integer">
        select distinct is_low_quality from ctop_bytedance_material_reject_reason where video_id = #{videoId} limit 1
    </select>

</mapper>